#-- start of make_header -----------------

#====================================
#  Library VeloTELL1Alg
#
#   Generated Mon May  8 13:58:12 2006  by szumlat
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_VeloTELL1Alg_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_VeloTELL1Alg_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_VeloTELL1Alg

VeloTELL1Alg_tag = $(tag)

ifdef READONLY
cmt_local_tagfile = /tmp/CMT_$(VeloTELL1Alg_tag)_VeloTELL1Alg.make$(cmt_lock_pid)
else
cmt_local_tagfile = $(VeloTELL1Alg_tag)_VeloTELL1Alg.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

VeloTELL1Alg_tag = $(tag)

ifdef READONLY
cmt_local_tagfile = /tmp/CMT_$(VeloTELL1Alg_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile = $(VeloTELL1Alg_tag).make
endif

endif

-include $(cmt_local_tagfile)

VeloTELL1Alg ::


ifdef READONLY
VeloTELL1Alg ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VeloTELL1Alg'

#-- end of make_header ------------------
#-- start of libary_header ---------------

VeloTELL1Alglibname   = $(bin)$(library_prefix)VeloTELL1Alg$(library_suffix)
VeloTELL1Alglib       = $(VeloTELL1Alglibname).a
VeloTELL1Algstamp     = $(bin)VeloTELL1Alg.stamp
VeloTELL1Algshstamp   = $(bin)VeloTELL1Alg.shstamp

VeloTELL1Alg :: dirs  VeloTELL1AlgLIB
	@/bin/echo "------> VeloTELL1Alg ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

VeloTELL1AlgLIB :: $(VeloTELL1Alglib) $(VeloTELL1Algshstamp)
	@/bin/echo "------> VeloTELL1Alg : library ok"

$(VeloTELL1Alglib) :: $(bin)ALinkReader.o $(bin)VeloTELL1Alg_load.o $(bin)VeloTELL1Alg_dll.o $(bin)PrepareVeloFullRawBuffer.o $(bin)TELL1BinaryOutputChecker.o $(bin)Decoder.o $(bin)DecodeVeloFullRawBuffer.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(VeloTELL1Alglib) $?
	$(lib_silent) $(ranlib) $(VeloTELL1Alglib)
	$(lib_silent) cat /dev/null >$(VeloTELL1Algstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(VeloTELL1Alglibname).$(shlibsuffix) :: $(VeloTELL1Alglib) requirements $(use_requirements) $(VeloTELL1Algstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" VeloTELL1Alg $(VeloTELL1Alg_shlibflags)

$(VeloTELL1Algshstamp) :: $(VeloTELL1Alglibname).$(shlibsuffix)
	@if test -f $(VeloTELL1Alglibname).$(shlibsuffix) ; then cat /dev/null >$(VeloTELL1Algshstamp) ; fi

VeloTELL1Algclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)ALinkReader.o $(bin)VeloTELL1Alg_load.o $(bin)VeloTELL1Alg_dll.o $(bin)PrepareVeloFullRawBuffer.o $(bin)TELL1BinaryOutputChecker.o $(bin)Decoder.o $(bin)DecodeVeloFullRawBuffer.o

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
VeloTELL1Alginstallname = $(library_prefix)VeloTELL1Alg$(library_suffix).$(shlibsuffix)

VeloTELL1Alg :: VeloTELL1Alginstall

install :: VeloTELL1Alginstall

VeloTELL1Alginstall :: $(install_dir)/$(VeloTELL1Alginstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(VeloTELL1Alginstallname) :: $(bin)$(VeloTELL1Alginstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$(PACKAGE_ROOT)/$(tag)" "$(VeloTELL1Alginstallname)" "$(install_dir)" "$(cmt_installarea_command)" ; \
	fi

VeloTELL1Algclean :: VeloTELL1Alguninstall

uninstall :: VeloTELL1Alguninstall

VeloTELL1Alguninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$(PACKAGE_ROOT)/$(tag)" "$(VeloTELL1Alginstallname)" "$(install_dir)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)VeloTELL1Alg_dependencies.make :: dirs

ifndef QUICK
$(bin)VeloTELL1Alg_dependencies.make :: $(src)*.cpp  requirements $(use_requirements) $(cmt_final_setup)
	@echo "------> (VeloTELL1Alg.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) VeloTELL1Alg $${args}
endif

-include $(bin)VeloTELL1Alg_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------

$(bin)ALinkReader.o : $(ALinkReader_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o ALinkReader.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(ALinkReader_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(ALinkReader_cppflags) $(ALinkReader_cpp_cppflags)  $(src)ALinkReader.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VeloTELL1Alg_load.o : $(VeloTELL1Alg_load_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VeloTELL1Alg_load.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(VeloTELL1Alg_load_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(VeloTELL1Alg_load_cppflags) $(VeloTELL1Alg_load_cpp_cppflags)  $(src)VeloTELL1Alg_load.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VeloTELL1Alg_dll.o : $(VeloTELL1Alg_dll_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VeloTELL1Alg_dll.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(VeloTELL1Alg_dll_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(VeloTELL1Alg_dll_cppflags) $(VeloTELL1Alg_dll_cpp_cppflags)  $(src)VeloTELL1Alg_dll.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PrepareVeloFullRawBuffer.o : $(PrepareVeloFullRawBuffer_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PrepareVeloFullRawBuffer.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(PrepareVeloFullRawBuffer_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(PrepareVeloFullRawBuffer_cppflags) $(PrepareVeloFullRawBuffer_cpp_cppflags)  $(src)PrepareVeloFullRawBuffer.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)TELL1BinaryOutputChecker.o : $(TELL1BinaryOutputChecker_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o TELL1BinaryOutputChecker.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(TELL1BinaryOutputChecker_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(TELL1BinaryOutputChecker_cppflags) $(TELL1BinaryOutputChecker_cpp_cppflags)  $(src)TELL1BinaryOutputChecker.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)Decoder.o : $(Decoder_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o Decoder.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(Decoder_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(Decoder_cppflags) $(Decoder_cpp_cppflags)  $(src)Decoder.cpp

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)DecodeVeloFullRawBuffer.o : $(DecodeVeloFullRawBuffer_cpp_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o DecodeVeloFullRawBuffer.o $(use_pp_cppflags) $(VeloTELL1Alg_pp_cppflags) $(lib_VeloTELL1Alg_pp_cppflags) $(DecodeVeloFullRawBuffer_pp_cppflags) $(use_cppflags) $(VeloTELL1Alg_cppflags) $(lib_VeloTELL1Alg_cppflags) $(DecodeVeloFullRawBuffer_cppflags) $(DecodeVeloFullRawBuffer_cpp_cppflags)  $(src)DecodeVeloFullRawBuffer.cpp

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: VeloTELL1Algclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

VeloTELL1Algclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)VeloTELL1Alg$(library_suffix).a $(library_prefix)VeloTELL1Alg$(library_suffix).s? VeloTELL1Alg.stamp VeloTELL1Alg.shstamp
#-- end of cleanup_library ---------------

