// $Id: $
#ifndef TELL1BINARYOUTPUTCHECKER_H 
#define TELL1BINARYOUTPUTCHECKER_H 1

// Include files
// from Gaudi
#include "GaudiAlg/GaudiAlgorithm.h"
#include "Event/RawEvent.h"

/** @class TELL1BinaryOutputChecker TELL1BinaryOutputChecker.h
 *  
 *
 *  @author Tomasz Szumlak
 *  @date   2006-03-22
 */

class TELL1BinaryOutputChecker : public GaudiAlgorithm {
public: 
  /// Standard constructor
  TELL1BinaryOutputChecker( const std::string& name, ISvcLocator* pSvcLocator );

  virtual ~TELL1BinaryOutputChecker( ); ///< Destructor

  virtual StatusCode initialize();    ///< Algorithm initialization
  virtual StatusCode execute   ();    ///< Algorithm execution
  virtual StatusCode finalize  ();    ///< Algorithm finalization
  StatusCode getRawBank();
protected:
  
private:

  LHCb::RawEvent* m_rawEvent;

};
#endif // TELL1BINARYOUTPUTCHECKER_H
